Projects
Add a collaborator to this project
Add a collaborator to this project. Required permissions: ManageCollaborators
POST
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
collaborators
Add a collaborator to this project
curl --request POST \
--url https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/collaborators \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"id": "662604702b7e5d347dbe7a908"
}
'import requests
url = "https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/collaborators"
payload = { "id": "662604702b7e5d347dbe7a908" }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '662604702b7e5d347dbe7a908'})
};
fetch('https://mycluster.domino.tech/api/projects/v1/projects/{projectId}/collaborators', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"collaborator": {
"id": "662604702b7e5d347dbe7a908",
"role": "contributor"
},
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
nucleus_DominoApiKeynucleus_BearerAuthentication
Path Parameters
Project ID
Body
application/json
Collaborator ID
Last modified on August 18, 2026
Related topics
Domino endpoint securityThe python-domino libraryRemove a collaborator from projectManage organizationsWas this page helpful?
⌘I
Add a collaborator to this project
